Uploaded image for project: 'OpenNMS'
  1. OpenNMS
  2. NMS-6970

Upgrade Needed for service-configuration.xml

    XMLWordPrintable

Details

    • Bug
    • Status: Resolved (View Workflow)
    • Blocker
    • Resolution: Fixed
    • 14.0.0
    • 14.0.0
    • Installation
    • Security Level: Default (Default Security Scheme)
    • None

    Description

      service-configuration.xml has some incompatible changes made since 1.12, and we should provide an upgrade component for it.

      The OpenNMS:Name=PollerBackEnd service needs its class-name changed:

      -    <class-name>org.opennms.netmgt.poller.jmx.RemotePollerBackEnd</class-name>
      +    <class-name>org.opennms.netmgt.poller.remote.jmx.RemotePollerBackEnd</class-name>

      Also, the LoggingPrefix needs to be changed for a number of services:

      • Provisiond -> provisiond
      • Reportd -> reportd
      • Alarmd -> alarmd
      • Ackd -> ackd

      To see what all has changed, you can run:

      git diff origin/1.12..origin/rc/stable/1.14.0 opennms-base-assembly/src/main/filtered/etc/service-configuration.xml

      Attachments

        Activity

          People

            agalue Alejandro Galue
            ranger Benjamin Reed
            Votes:
            0 Vote for this issue
            Watchers:
            2 Start watching this issue

            Dates

              Created:
              Updated:
              Resolved: